Coolify logoCoolify
PATCH
/databases/{uuid}/backups/{scheduled_backup_uuid}

Update a specific backup configuration for a given database, identified by its UUID and the backup ID

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the database.

scheduled_backup_uuid*string

UUID of the backup configuration.

Request Body

application/json

Database backup configuration data

TypeScript Definitions

Use the request body type in TypeScript.

save_s3?boolean

Whether data is saved in s3 or not

s3_storage_uuid?string

S3 storage UUID

backup_now?boolean

Whether to take a backup now or not

enabled?boolean

Whether the backup is enabled or not

databases_to_backup?string

Comma separated list of databases to backup

dump_all?boolean

Whether all databases are dumped or not

frequency?string

Frequency of the backup

database_backup_retention_amount_locally?integer

Retention amount of the backup locally

database_backup_retention_days_locally?integer

Retention days of the backup locally

database_backup_retention_max_storage_locally?integer

Max storage of the backup locally

database_backup_retention_amount_s3?integer

Retention amount of the backup in s3

database_backup_retention_days_s3?integer

Retention days of the backup in s3

database_backup_retention_max_storage_s3?integer

Max storage of the backup in S3

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/databases/string/backups/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}